Автор Тема: W: В Вашей системе установлено несколько версий пакета "libspice-glib-gir"  (Прочитано 3426 раз)

Оффлайн KALIBR-10

  • Давно тут
  • **
  • Сообщений: 391
У меня случилась аналогичная проблема, решения пока не нашел...
Симпли 9.1

# apt-get update
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64 release [1954B]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64-i586 release [1175B]
Получено: 3 http://mirror.yandex.ru p9/branch/noarch release [1545B]
Получено 4674B за 0s (40,8kB/s).               
Найдено http://mirror.yandex.ru p9/branch/x86_64/classic pkglist
Найдено http://mirror.yandex.ru p9/branch/x86_64/classic release
Найдено http://mirror.yandex.ru p9/branch/x86_64-i586/classic pkglist
Найдено http://mirror.yandex.ru p9/branch/x86_64-i586/classic release
Найдено http://mirror.yandex.ru p9/branch/noarch/classic pkglist
Найдено http://mirror.yandex.ru p9/branch/noarch/classic release
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
W: В Вашей системе установлено несколько версий пакета "libspice-glib-gir".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и
W: В Вашей системе установлено несколько версий пакета "qemu-block-dmg".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: В Вашей системе установлено несколько версий пакета "packagekit".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не п
W: В Вашей системе установлено несколько версий пакета "NetworkManager-daemon".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
W: В Вашей системе установлено несколько версий пакета "qemu-block-gluster".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и
W: В Вашей системе установлено несколько версий пакета "libgnutls30".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не �
W: В Вашей системе установлено несколько версий пакета "qemu-audio-pa".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не
W: В Вашей системе установлено несколько версий пакета "python3-module-pygobject3".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько верс�
W: В Вашей системе установлено несколько версий пакета "NetworkManager-team".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,

W: В Вашей системе установлено несколько версий пакета "qemu-ui-spice-app".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и
W: В Вашей системе установлено несколько версий пакета "libimath25".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не п
W: В Вашей системе установлено несколько версий пакета "libhalf25".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не п�
W: В Вашей системе установлено несколько версий пакета "gnutls-utils".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не
W: В Вашей системе установлено несколько версий пакета "qemu-block-nfs".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: В Вашей системе установлено несколько версий пакета "ilmbase25-common".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и �
W: В Вашей системе установлено несколько версий пакета "hplip-common".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не
W: В Вашей системе установлено несколько версий пакета "NetworkManager-wwan".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,

W: В Вашей системе установлено несколько версий пакета "hplip-hpcups".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не
W: В Вашей системе установлено несколько версий пакета "python3-module-packagekit".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько верс�
W: В Вашей системе установлено несколько версий пакета "qemu-ui-curses".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: В Вашей системе установлено несколько версий пакета "qemu-block-iscsi".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и �
W: В Вашей системе установлено несколько версий пакета "libgnutls-devel".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н
W: В Вашей системе установлено несколько версий пакета "libpolkit".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не п�
W: В Вашей системе установлено несколько версий пакета "qemu-block-rbd".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: В Вашей системе установлено несколько версий пакета "NetworkManager-wifi".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,

W: В Вашей системе установлено несколько версий пакета "hplip-hpijs".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не �
W: В Вашей системе установлено несколько версий пакета "qemu-aux".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не по
W: В Вашей системе установлено несколько версий пакета "libvirt-libs".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не
W: В Вашей системе установлено несколько версий пакета "libspice-glib".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не
W: В Вашей системе установлено несколько версий пакета "qemu-audio-oss".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: В Вашей системе установлено несколько версий пакета "hplip-hpcups-PPDs".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и
W: В Вашей системе установлено несколько версий пакета "i586-libgnutls30.32bit".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий
W: В Вашей системе установлено несколько версий пакета "qemu-audio-alsa".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н
W: В Вашей системе установлено несколько версий пакета "qemu-img".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не по
W: В Вашей системе установлено несколько версий пакета "libcurl".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не по�
W: В Вашей системе установлено несколько версий пакета "qemu-block-curl".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н
W: В Вашей системе установлено несколько версий пакета "qemu-audio-sdl".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: В Вашей системе установлено несколько версий пакета "NetworkManager-ppp".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и
W: В Вашей системе установлено несколько версий пакета "libpackagekit-glib".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и
W: В Вашей системе установлено несколько версий пакета "NetworkManager-bluetooth".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько верси
W: В Вашей системе установлено несколько версий пакета "libnm".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не пол�
W: В Вашей системе установлено несколько версий пакета "libiex25".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не по
W: В Вашей системе установлено несколько версий пакета "qemu-common".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не �
W: В Вашей системе установлено несколько версий пакета "NetworkManager-adsl".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,

W: В Вашей системе установлено несколько версий пакета "hplip-hpijs-PPDs".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и �
W: В Вашей системе установлено несколько версий пакета "grub-common".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и не �
W: В Вашей системе установлено несколько версий пакета "libilmthread25".

Этот пакет не может быть обновлён обычным путём до тех пор, пока Вы не
оставите только одну его версию. Чтобы оставить установленными несколько версий,
и н�
W: Возможно, Вам потребуется запустить `apt-get update' для исправления.


Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 009
    • Email
KALIBR-10
сегодня опять столкнулся с аналогичной проблемой, была установка пакетов через apt-get, в момент установки груба машина самопроизвольно ушла в ребут, по итогу в системе образовалось несколько версий множества разных пакетов...
как такое решать то ?
опять меня спасло то, что у меня было несколько идентичных машинок, я с них забрал базу RPM, но это несерьёзно...
Сноси Винду, переходи на Линукс ! :)

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 009
    • Email
возможно поможет удалять вручную одинаковые пакеты разных версий, но там их прям много было... должно же быть более элегантное решение

KALIBR-10, кстати, попробуйте также rpm -e package-name
Сноси Винду, переходи на Линукс ! :)

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
возможно поможет удалять вручную одинаковые пакеты разных версий, но там их прям много было... должно же быть более элегантное решение

KALIBR-10, кстати, попробуйте также rpm -e package-name

У дублей будет одинаковое имя пакета. Различаться они могут, версией, релизом и disttag.
Указание одного из дублей, при удалении через rpm, где-то так: <name>-<version>-<release>.<arch>

Но здесь важно не ошибиться и не удалить пакет требуемый системе. Чтобы не развалить систему.
Вывод установленных дублей по 'rpm -q <name>'


Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 7 422
  • Sunny 273 RUS crew
Но здесь важно не ошибиться и не удалить пакет требуемый системе. Чтобы не развалить систему.
Вывод установленных дублей по 'rpm -q <name>'
До появления dedup в apt-scripts я решал проблему посредством rpm -U --force (иногда с --nodeps) на пакет с несовпадающей версией, как правило, предыдущей. Но тут тоже надо осторожно, хотя и чуть мнее осторожно.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Но здесь важно не ошибиться и не удалить пакет требуемый системе. Чтобы не развалить систему.
Вывод установленных дублей по 'rpm -q <name>'
До появления dedup в apt-scripts я решал проблему посредством rpm -U --force (иногда с --nodeps) на пакет с несовпадающей версией, как правило, предыдущей. Но тут тоже надо осторожно, хотя и чуть мнее осторожно.

О, спасибо за напоминание про dedup. Надо иметь ввиду. На всякий.

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 009
    • Email
https://www.altlinux.org/APT_в_ALT_Linux/Советы_по_использованию#apt-scripts:_удаление_дубликатов_пакетов
ок, в следующий раз попробую, спасибо
Сноси Винду, переходи на Линукс ! :)

Оффлайн avg2552

  • Давно тут
  • **
  • Сообщений: 88
При переходе на p10 продублировались все пакеты.
Сначало подготовка
apt-get autocleanЗатем решение проблемы одной командой
apt-get dedupПробовал
apt-get -f installс ключом -f сработало наполовину. Ошибка в синаптике пропала, однако после каждого apt-get update ошибка с перечислением всех пакетов из-за дублирования возвращалась. После применения dedup проблема решилась полностью.